GXDITVIEW(1)

NAME
gxditview - display groff intermediate output files

SYNOPSIS
gxditview [-toolkitoption ...] [-option ...] [filename]

DESCRIPTION
The gxditview program displays the groff intermediate output, see groff_out(5), on an X display. It uses the standard X11 fonts, so it does not require access to the server machine for font loading. There are several ways to use gxditview.

The groff intermediate output can be generated by groff -Z. This can be viewed by explicity calling gxditview filename. If filename is -, gxditview will read the standard input; filename cannot be omitted. The groff intermediate output is different for all devices. gxditview can view it for all devices, but the quality is device dependent.

The best results are achieved with the X* devices for groff's option -T. There are four X* devices: -TX75, -TX75-12, -TX100, -TX100-12. They differ by the X resolution (75dpi or 100dpi) and the used base font size (10pt or 12pt). They are especially built for gxditview. When using one of them groff generates the intermediate output for this device and calls gxditview automatically for viewing. For example, to view this man page with a base resolution of 12pt, say

    groff -TX100-12 -man -rS12 gxditview.1

(option -rSXX is documented in the groff_man(7) man page).

groff's option -X produces intermediate output for the Postscript device and subsequently uses gxditview as a viewer for it. The quality of the result depends mainly on the chosen point size and display resolution; for rapid previewing, however, something like

    groff -X -P-resolution -P100 document

yields acceptable results.

During the run of gxditview, the left mouse button brings up a menu with the following entries:

Next Page
    Display the next page.

Previous Page
    Display the previous page.

Select Page
    Select a particular numbered page specified by a dialog box.

Print
    Print the groff intermediate output using a command specified by a dialog box. The default command initially displayed is controlled by the printCommand application resource, and by the -printCommand option.

Open
    Open for display a new file specified by a dialog box. The file should contain some groff intermediate output. If the filename starts with | it will be taken to be a command to read from.

Quit
    Exit from gxditview.

The n, Space, Return, and Next (PgDn) keys are bound to the Next Page action. The p, b, BackSpace, Delete, and Prior (PgUp) keys are bound to the Previous Page action. The g key is bound to the SelectPage action. The o key is bound to the OpenFile action. The q key is bound to the Quit action. The r key is bound to the Rerasterize action which rereads the current file, and redisplays the current page; if the current file is a command, the command will be reexecuted. Vertical scrolling can be done with the k and j keys; horizontal scrolling is bound to the h and l keys. The arrow keys (up, down, left, and right) are also bound to the obvious scrolling actions.

The paperlength and paperwidth commands in the DESC file specify the length and width in machine units of the virtual page displayed by gxditview.

OPTIONS
The gxditview program accepts all of the standard X Toolkit command line options along with the additional options listed below:

-help
    This option indicates that a brief summary of the allowed options should be printed.

-page
    This option specifies the page number of the document to be displayed.

-backingStore backing-store-type
    Redisplay of the groff intermediate output window can take up to a second or so, this option causes the server to save the window contents so that when it is scrolled around the viewport, the window is painted from contents saved in backing store. backing-store-type can be one of Always, WhenMapped or NotUseful.

-printCommand command
    The default command displayed in the dialog box for the Print menu entry will be command.

-resolution res
    The groff intermediate output file will be displayed at a resolution of res dpi, unless the DESC file contains the X11 command, in which case the device resolution will be used. This corresponds to the Dvi widget's resolution resource. The default is 75.

-filename string
    The default filename displayed in the dialog box for the Open menu entry will be string. This can be either a filename, or a command starting with |.

The following standard X Toolkit command line arguments are commonly used with gxditview:

-bg color
    This option specifies the color to use for the background of the window. The default is white.

-bd color
    This option specifies the color to use for the border of the window. The default is black.

-bw number
    This option specifies the width in pixels of the border surrounding the window.

-fg color
    This option specifies the color to use for displaying text. The default is black.

-fn font
    This option specifies the font to be used for displaying widget text. The default is fixed.

-rv This option indicates that reverse video should be simulated by swapping the foreground and background colors.

-geometry geometry
    This option specifies the preferred size and position of the window.

-display host:display
    This option specifies the X server to contact.

-xrm resourcestring
    This option specifies a resource string to be used.

X DEFAULTS
This program uses the Dvi widget in the X Toolkit. It understands all of the core resource names and classes as well as:

width (class Width)
    Specifies the width of the window.

height (class Height)
    Specifies the height of the window.

foreground (class Foreground)
    Specifies the default foreground color.

font (class Font)
    Specifies the font to be used for error messages.

fontMap (class FontMap)
    Specifies the mapping from groff font names to X font names. This must be a string containing a sequence of lines. Each line contains two whitespace separated fields: first the groff font name, and secondly the X font name. The default is
    "\
    TR	-adobe-times-medium-r-normal--*-100-*-*-*-*-iso8859-1\n\
    TI	-adobe-times-medium-i-normal--*-100-*-*-*-*-iso8859-1\n\
    TB	-adobe-times-bold-r-normal--*-100-*-*-*-*-iso8859-1\n\
    TBI	-adobe-times-bold-i-normal--*-100-*-*-*-*-iso8859-1\n\
    CR	-adobe-courier-medium-r-normal--*-100-*-*-*-*-iso8859-1\n\
    CI	-adobe-courier-medium-o-normal--*-100-*-*-*-*-iso8859-1\n\
    CB	-adobe-courier-bold-r-normal--*-100-*-*-*-*-iso8859-1\n\
    CBI	-adobe-courier-bold-o-normal--*-100-*-*-*-*-iso8859-1\n\
    HR	-adobe-helvetica-medium-r-normal--*-100-*-*-*-*-iso8859-1\n\
    HI	-adobe-helvetica-medium-o-normal--*-100-*-*-*-*-iso8859-1\n\
    HB	-adobe-helvetica-bold-r-normal--*-100-*-*-*-*-iso8859-1\n\
    HBI	-adobe-helvetica-bold-o-normal--*-100-*-*-*-*-iso8859-1\n\
    NR	-adobe-new century schoolbook-medium-r-normal--*-100-*-*-*-*-iso8859-1\n\
    NI	-adobe-new century schoolbook-medium-i-normal--*-100-*-*-*-*-iso8859-1\n\
    NB	-adobe-new century schoolbook-bold-r-normal--*-100-*-*-*-*-iso8859-1\n\
    NBI	-adobe-new century schoolbook-bold-i-normal--*-100-*-*-*-*-iso8859-1\n\
    S	-adobe-symbol-medium-r-normal--*-100-*-*-*-*-adobe-fontspecific\n\
    SS	-adobe-symbol-medium-r-normal--*-100-*-*-*-*-adobe-fontspecific\n\
    "

ENVIRONMENT

GROFF_FONT_PATH
    A list of directories in which to search for the devname directory in addition to the default ones. See troff(1) and groff_font(5) for more details.

FILES

/usr/X11/lib/X11/app-defaults/GXditview
/usr/X11/lib/X11/app-defaults/GXditview-color
    The default resource files of gxditview. Users should override these values in the .Xdefaults file, normally located in the user's home directory. See xrdb(1) and appres(1) for more.

SEE ALSO
X(7), xrdb(1), xditview(1), groff(1), groff_out(5)

ORIGIN
This program is derived from xditview; portions of xditview originated in xtroff which was derived from suntroff.

COPYRIGHT
Copyright 1989, Massachusetts Institute of Technology.
See X(7) for a full statement of rights and permissions.

AUTHORS
Keith Packard (MIT X Consortium)
Richard L. Hyde (Purdue)
David Slattengren (Berkeley)
Malcolm Slaney (Schlumberger Palo Alto Research)
Mark Moraes (University of Toronto)
James Clark